<div class="container">
    <div class="row">
        <div class="col-md-12 form-group">
            <p-panel header="Input data Stock Opname" showHeader="false">
                <div class="row ui-g">
                    <div class="ui-g-12">
                        <button pButton type="button" class="ui-button-secondary" label="Download Template"></button>
                    </div>
                </div>
                <div class="row ui-g">
                    <div class="ui-g-12">
                        <label>Upload File</label>
                        <input pInputText type="file" [(ngModel)]="fileUpload" class="ui-inputtext ui-state-default ui-corner-all"
                            style="width:500px" (change)="onFileChange($event)" />
                        <button pButton type="button" class="ui-button-danger" label="Upload" (click)="upload()"></button>
                    </div>
                </div>
            </p-panel>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <p-dataTable [value]="uploadData" [rows]="10" [paginator]="true" loading="loading">
                <p-column field="tag_number" header="Tag Number"></p-column>
                <p-column field="parts_number" header="Part Number"></p-column>
                <p-column field="parts_name" header="Nama Part"></p-column>
                <p-column field="container" header="Lokasi Rak"></p-column>
                <p-column field="qty" header="Qty Stock Opname"></p-column>
                <p-column field="unit" header="Satuan"></p-column>
            </p-dataTable>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12 text-right">
            <button pButton type="button" class="ui-button-secondary" label="Back" [routerLink]="['/stock-opname/'+ idStockOpname + '/edit']"></button>
            <button pButton type="button" class="ui-button-danger" label="Submit" (click)="onSubmit()"></button>
        </div>
    </div>
</div>
